1.3
1.3
put /v1/public-domain-names/{public_domain_id}
Description
Update Public Domain Name
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | public_domain_id required | Id Example : | string | None |
| body | body required | PublicDomainPartialUpdateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PublicDomainPartialUpdateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/public-domain-names/{public_domain_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"
Request body
{
"auto_extension": "",
"description": ""
}
Example HTTP response
Response 200
{
"auto_extension": "",
"description": "",
"id": ""
}